[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomTimeEvent

Specifies an event handler used to generate an arbitrary time value.

## Declaration

Source position: editbtn.pas line 721

`type TCustomTimeEvent = procedure(`
`Sender: TObject;`
`var ATime: TDateTime`
`) of object;`

## Arguments

`Sender` |  | Object generating the event notification.
`ATime` |  | TDateTime value generated in the event handler.

## Description

TCustomTimeEvent specifies an event handler used to generate an arbitrary TDateTime value. TCustomTimeEvent is the type used to implement the OnCustomTime property in TTimeEdit.

## See also

TTimeEdit.OnCustomTime |  | Event handler signalled to get an arbitrary time value for the control.